Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
db_file_folder| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| parent_id |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
globally unique identifier | |
| parent_reference_back_office |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
string | |
| parent_db_file_folder |
Reference to a parent folder (in case of Child/Parent) using embedded entity when adding/updating folder |
db_file_folder | |
| name | string |
Required Max length: 255 |
|
| description |
Description of the folder |
string |
Max length: 255 |
| sequence |
Sorting field (0 first) |
integer | |
| is_sales |
Indicate that this folder should be shown on the Sales environemnt (Company/Contact details) |
boolean | |
| is_services |
Indicate that this folder should be shown on the Services environemnt (Task/Project and Jobs details) |
boolean | |
| is_articles |
Indicate that this folder should be shown on the Article Details |
boolean | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "138199b7-b2a9-4297-8add-e07096fee636",
"parent_id": "e2cdbcfe-4d24-414c-8bb1-a88306148879",
"parent_reference_back_office": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"sequence": 6,
"is_sales": true,
"is_services": true,
"is_articles": true,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-05-25T00:53:09.2040591+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.